merchant-referrals
List merchant referrals
GET
/
merchants
/
{merchantId}
/
referrals
List merchant referrals
curl --request GET \
--url https://api-sandbox.paygood.co/merchants/{merchantId}/referrals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.paygood.co/merchants/{merchantId}/referrals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.paygood.co/merchants/{merchantId}/referrals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"referralId": "<string>",
"referrerMerchantId": "<string>",
"referralCode": "<string>",
"refereeEmail": "jsmith@example.com",
"refereeMemberId": "<string>",
"refereeApplicationId": "<string>",
"refereeMerchantId": "<string>",
"completedAt": "<string>",
"createdAt": "<string>"
}
],
"nextCursor": "<string>"
}Authorizations
Merchant API key bearer token. Legacy wire prefixes api_key_ and api_ are also accepted.
Path Parameters
Referring merchant TypeID (mer_...).
Query Parameters
Opaque pagination cursor from a previous response.
Maximum referrals to return (default 20, max 100).
Example:
20
Optional referral status filter.
Available options:
pending, completed ⌘I
List merchant referrals
